/*
 * @(#)FigureChangeAdapter.java 5.1
 *
 */

package CH.ifa.draw.framework;

import de.renew.draw.storables.ontology.FigureChangeEvent;
import de.renew.draw.storables.ontology.FigureChangeListener;

/**
 * Empty implementation of FigureChangeListener.
 *
 */
public class FigureChangeAdapter implements FigureChangeListener {
    /**
     * Sent when an area is invalid.
     */
    @Override
    public void figureInvalidated(FigureChangeEvent e) {}

    /**
     * Sent when a figure changed
     */
    @Override
    public void figureChanged(FigureChangeEvent e) {}

    /**
     * Sent when a figure was removed
     */
    @Override
    public void figureRemoved(FigureChangeEvent e) {}

    /**
     * Sent when requesting to remove a figure.
     */
    @Override
    public void figureRequestRemove(FigureChangeEvent e) {}

    /**
     * Sent when an update should happen.
     *
     */
    @Override
    public void figureRequestUpdate(FigureChangeEvent e) {}

    /**
     * Sent when the figure changes its handles.
     */
    @Override
    public void figureHandlesChanged(FigureChangeEvent e) {}
}